Working with Facebook Accounts

Businesses need to connect their Facebook page to their WhatsApp Business API accounts to use it in Facebook resources such as a button on the page or Click to WhatsApp ads. After the account is connected, it can also be managed from Ads Manager.

Ads Campaign Structure

Each client should attach the Facebook account to the WABA before the partner can work with data from META. See Meta's Official Documentation about Ads Campaign Structure.arrow-up-right

Meta's Ads Campaign Structure

Retrieve Client's Facebook Accounts IDs

circle-info

To retrieve the client_id of clients - check Get List of Clients.

triangle-exclamation

Retrieve list of attached Facebook accounts of the client

GET https://api.signals.360dialog.io/v1/clients/{client_id}/facebook-accounts

Send a GET request and pick one Facebook account. In case of empty list - ask client to attach Facebook account first.

GET https://api.signals.360dialog.io/v1/clients/{client_id}/facebook-accounts/{facebook_account}

Send a GET request and pick the Ad account.

GET https://api.signals.360dialog.io/v1/app/{app_id}/ads/account/{ad_account_id}

Send a GET request and read list of Ads.

To work with pagination concept: offset and limit params are available.

Query Parameters

Name
Type
Description

offset

integer

Starts from 0

limit

integer

From 1 to 100; Default: 20

schema

Last updated

Was this helpful?